{"openapi":"3.0.3","info":{"title":"58 School Council Site API","description":"API для сайта и telegram бота ШС школы №58","license":{"name":"Apache 2.0","url":"http://www.apache.org/licenses/LICENSE-2.0.html"},"version":"1.0.0"},"paths":{"/users":{"get":{"summary":"Получить список пользователей","responses":{"200":{"description":"Список пользователей","content":{"application/json":{"schema":{"type":"object","properties":{"users":{"type":"array","items":{"type":"integer","format":"uuid"}}}}}}},"403":{"description":"Неверный токен","content":{"application/json":{"schema":{"type":"string"},"example":"Wrong token"}}}},"tags":["users"]},"post":{"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"tg_id":{"type":"integer","format":"uuid"},"class":{"type":"object","properties":{"digit":{"type":"integer","format":"int32"},"parallel":{"type":"string","format":"byte"}}}}}}}},"summary":"Добавить аккаунт","description":"Данный метод служебный, его использование вручную не предусмотрено","responses":{"200":{"description":"Успешное создание"},"400":{"description":"Ошибка в запросе","content":{"application/json":{"schema":{"type":"string"},"example":"Key (ключ) was not set; Value of (ключ) is wrong; Value of (ключ) in wrong type"}}},"403":{"description":"Неверный токен","content":{"application/json":{"schema":{"type":"string"},"example":"Wrong token"}}}},"tags":["users"]}},"/users/{tg_id}":{"get":{"parameters":[{"name":"tg_id","in":"path","required":true,"description":"ID telegram аккаунта","schema":{"type":"integer","format":"uuid"}}],"summary":"Получить данные о пользователе","responses":{"200":{"description":"Данные пользователя","content":{"application/json":{"schema":{"type":"object","properties":{"uuid":{"type":"integer","format":"uuid"},"class":{"type":"object","properties":{"digit":{"type":"integer","format":"int32"},"parallel":{"type":"string","format":"byte"}}},"groups":{"type":"object","properties":{"math":{"type":"integer","format":"int32"},"english":{"type":"integer","format":"int32"}}},"notifications":{"type":"object","properties":{"dining_room":{"type":"boolean"},"substitutions":{"type":"boolean"},"timetable":{"type":"boolean"}}}}}}}},"400":{"description":"Ошибка в запросе","content":{"application/json":{"schema":{"type":"string"},"example":"Key (ключ) was not set; Value of (ключ) is wrong; Value of (ключ) in wrong type"}}},"401":{"description":"Пользователь не зарегитрирован","content":{"application/json":{"schema":{"type":"string"},"example":"User not registred"}}},"403":{"description":"Неверный токен","content":{"application/json":{"schema":{"type":"string"},"example":"Wrong token"}}},"406":{"description":"Аккаунт не существует","content":{"application/json":{"schema":{"type":"string"},"example":"Account not existing"}}}},"tags":["users"]},"put":{"parameters":[{"name":"tg_id","in":"path","required":true,"description":"ID telegram аккаунта","schema":{"type":"integer","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"groups":{"type":"object","properties":{"math":{"type":"integer","format":"int32"},"english":{"type":"integer","format":"int32"}}},"notifications":{"type":"object","properties":{"dining_room":{"type":"boolean"},"substitutions":{"type":"boolean"},"timetable":{"type":"boolean"}}}}}}}},"summary":"Изменить данные пользователя","responses":{"200":{"description":"Успешное изменение","content":{"application/json":{}}},"400":{"description":"Ошибка в запросе","content":{"application/json":{"schema":{"type":"string"},"example":"Key (ключ) was not set; Value of (ключ) is wrong; Value of (ключ) in wrong type"}}},"403":{"description":"Неверный токен","content":{"application/json":{"schema":{"type":"string"},"example":"Wrong token"}}},"406":{"description":"Аккаунт не существует","content":{"application/json":{"schema":{"type":"string"},"example":"Account not existing"}}}},"tags":["users"]},"delete":{"parameters":[{"name":"tg_id","in":"path","required":true,"description":"ID telegram аккаунта","schema":{"type":"integer","format":"uuid"}}],"summary":"Удалить аккаунт","responses":{"200":{"description":"Успешное удаление","content":{"application/json":{}}},"400":{"description":"Ошибка в запросе","content":{"application/json":{"schema":{"type":"string"},"example":"Key (ключ) was not set; Value of (ключ) is wrong; Value of (ключ) in wrong type"}}},"403":{"description":"Неверный токен","content":{"application/json":{"schema":{"type":"string"},"example":"Wrong token"}}},"406":{"description":"Аккаунт не существует","content":{"application/json":{"schema":{"type":"string"},"example":"Account not existing"}}}},"tags":["users"]}},"/passwords":{"get":{"summary":"Получить список паролей","tags":["passwords"]},"post":{"summary":"Добавить пароль","tags":["passwords"]}},"/passwords/{password}":{"get":{"summary":"Получить информацию о пароле","tags":["passwords"]},"put":{"summary":"Сменить связь пароля с аккаунтом","description":"Привязать пароль к аккаунту/Отвязать пароль от аккаута","tags":["passwords"]},"delete":{"summary":"Удалить пароль","tags":["passwords"]}}},"servers":[{"description":"SwaggerHub API Auto Mocking","url":"https://virtserver.swaggerhub.com/Magprone/58SchCouncilSiteAPI/1.0.0"}]}